Bug 69956 - baseline images for fast/repaint/japanese-rl-selection-repaint-in-regions seem wrong
Summary: baseline images for fast/repaint/japanese-rl-selection-repaint-in-regions see...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-12 13:04 PDT by epoger
Modified: 2011-10-18 11:37 PDT (History)
5 users (show)

See Also:


Attachments
chrome 14.0.835.202 (153.19 KB, image/png)
2011-10-12 13:05 PDT, epoger
no flags Details
chromium canary 16.0.905.0 (109.50 KB, image/png)
2011-10-12 13:06 PDT, epoger
no flags Details
safari 5.1 (123.41 KB, image/png)
2011-10-12 13:06 PDT, epoger
no flags Details
chrome canary vs shipping chrome (652.64 KB, application/pdf)
2011-10-13 11:07 PDT, epoger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description epoger 2011-10-12 13:04:38 PDT
I notice that this one layout test has very different expectations than I see in shipping Chrome and Safari.

I see that a few different people (CCed here) have checked in baselines for this test in recent weeks.  Any ideas?

These three versions look about the same as each other, but different from what I see in shipping Chrome/Safari:
http://trac.webkit.org/browser/trunk/LayoutTests/platform/mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-cg-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-cg-mac-leopard/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png

This one looks a little different from the above, but also different from what I see in shipping Chrome/Safari:
http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png

I have also attached screen shots of what I see when viewing http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint-in-regions.html in these browsers...

These two look similar to each other but quite different from all the expectations above:
Chrome 14.0.835.202
Safari 5.1 (6534.50)

This one looks like the expectations above (not surprising) but very different from shipping Chrome.
Chromium Canary 16.0.905.0
Comment 1 epoger 2011-10-12 13:05:32 PDT
Created attachment 110729 [details]
chrome 14.0.835.202
Comment 2 epoger 2011-10-12 13:06:03 PDT
Created attachment 110730 [details]
chromium canary 16.0.905.0
Comment 3 epoger 2011-10-12 13:06:21 PDT
Created attachment 110731 [details]
safari 5.1
Comment 4 Ryosuke Niwa 2011-10-12 13:10:45 PDT
Clearly ToT result is correct.
Comment 5 Ryosuke Niwa 2011-10-12 13:11:02 PDT
(In reply to comment #1)
> Created an attachment (id=110729) [details]
> chrome 14.0.835.202

(In reply to comment #3)
> Created an attachment (id=110731) [details]
> safari 5.1

They both look wrong.
Comment 6 Ryosuke Niwa 2011-10-12 13:15:33 PDT
(In reply to comment #0)
> These three versions look about the same as each other, but different from what I see in shipping Chrome/Safari:
> http://trac.webkit.org/browser/trunk/LayoutTests/platform/mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
> http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-cg-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
> http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-cg-mac-leopard/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
> 
> This one looks a little different from the above, but also different from what I see in shipping Chrome/Safari:
> http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png

As far as I can tell, they all look the same although they repaint slightly different regions.
Comment 7 epoger 2011-10-13 11:07:07 PDT
Created attachment 110881 [details]
chrome canary vs shipping chrome

The attached PDF shows Chrome Canary on the top and Shipping Chrome at the bottom.

The three columns are these 3 pages, as rendered in each browser:
http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-clear.html
http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint-in-regions.html
http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint.html

Pages #1 and #3 render the same in both browsers.  Why does page #2 render so differently?
Comment 8 Ryosuke Niwa 2011-10-13 11:10:55 PDT
Why isn't hyatt cc-ed on this bug?
Comment 9 Ryosuke Niwa 2011-10-13 11:15:57 PDT
(In reply to comment #7)
> The three columns are these 3 pages, as rendered in each browser:
> http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-clear.html
> http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint-in-regions.html
> http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint.html
> 
> Pages #1 and #3 render the same in both browsers.  Why does page #2 render so differently?

Because it pulls the content out of the original div and put in an absolutely positioned box:

<div style="-webkit-flow:'thread'">
せっかく見つけたすばらしい記事がどこにあったか忘れてしまった経験はありますかならタイトルとアドレスだけでなく、訪問したウェブページのコンテンツからも検索することができます。せっかく見つけたすばらしい記事がどこにあったか忘れてしまった経験はありますか ならタイトルとアドレスだけでなく、訪問したウェブページのコンテンツからも検索することができます。訪問したウェブページのコンテンツからも検索することができます。せっかく見つけたすばらしい記事がどこにあったか忘れてしまった経験はありますか ならタイトルとアドレスだけでなく、訪問
</div>
<div style="content:-webkit-from-flow('thread'); position:absolute;right:100px; top:100px; border:2px solid black; width:400px; height:400px"></div>
Comment 10 epoger 2011-10-13 11:33:36 PDT
(In reply to comment #9)
> (In reply to comment #7)
> > The three columns are these 3 pages, as rendered in each browser:
> > http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-clear.html
> > http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint-in-regions.html
> > http://trac.webkit.org/export/93144/trunk/LayoutTests/fast/repaint/japanese-rl-selection-repaint.html
> > 
> > Pages #1 and #3 render the same in both browsers.  Why does page #2 render so differently?
> 
> Because it pulls the content out of the original div and put in an absolutely positioned box:

OK, Ryosuke, thanks.

Am I correct in assuming that this expected image is correct:
http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-cg-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png

As opposed to this one, which is almost the same but the selection of the final line is clipped differently:
http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
Comment 11 Ryosuke Niwa 2011-10-13 11:47:04 PDT
(In reply to comment #10)
> OK, Ryosuke, thanks.
> 
> Am I correct in assuming that this expected image is correct:
> http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-cg-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png
> 
> As opposed to this one, which is almost the same but the selection of the final line is clipped differently:
> http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-mac/fast/repaint/japanese-rl-selection-repaint-in-regions-expected.png

Skia one looks wrong. It shouldn't be truncating lines of text like that as far as I know.
Comment 12 epoger 2011-10-18 11:37:33 PDT
New chromium-mac baseline image committed within http://trac.webkit.org/changeset/97775 .  I think we can close this out now.